#! /usr/bin/perl
# Function:	Check path and generate docListPath.xml
# Call:		perl chkPath.pl docListPath.txt > docListPath.xml

# Data and Functions ##############################################
$header = <<'END';
<?xml version="1.0" encoding="Shift_JIS" ?>
		<!-- docListPath.xml -->
<fileList>
END
sub heading(){
	print "$header\n";
}
sub files(){
	$input = open IN, "$fileList" or die "File is not exist\n";
	while(<IN>){
		if (/^group: /){
			$str = $';
			chomp($str);
			&putGroup($str);
		} elsif (/^groupEnd:/){
			&putGroupEnd();
		} elsif (/^item: target,/ | /^item: target,file:\/\/\//){
			$_ = $';
			chomp($_);
			&putItem();
			if (-e "$_"){
				&putExistence("$_");
			} else {
				&putNoExistence("$_");
			}
		} elsif (/^itemEnd:/){
			&putItemEnd();
		} elsif (/^ezdoc,/ | /^ezdoc,file:\/\/\//){
			$_ = $';
			chomp($_);
			&putEZDOC();
			if (-e "$_"){
				&putXMLExistence();
			} else {
				&putXMLNotExistence();
			}
		} elsif (/^docList,/ | /^docList,file:\/\/\//){
			$_ = $';
			chomp($_);
			&putDocList();
			if (-e "$_"){
				&putXMLExistence();
			} else {
				&putXMLNotExistence();
			}
		} elsif (/^ezFileList,/ | /^ezFileList,file:\/\/\//){
			$_ = $';
			chomp($_);
			&putEzFileList();
			if (-e "$_"){
				&putXMLExistence();
			} else {
				&putXMLNotExistence();
			}
		} else {
			print "$_\n";
		}
	}
}
sub putGroup(){
	#
}
sub putGroupEnd(){
	#
}
sub putItem(){
	print "<item>";
}
sub putItemEnd(){
	print "\t</item>\n";
}
sub putExistence(){
	print "\t<file>$_[0]<exist/></file>\n";
}
sub putNoExistence(){
	print "\t<file>$_[0]<notExist/></file>\n";
}
sub trailing(){
	print "</fileList>\n";
}
sub putEZDOC(){
	print "\t<ezdoc/>";
}
sub putDocList(){
	print "\t<docList/>";
}
sub putEzFileList(){
	print "\t<ezFileList/>";
}
sub putXMLExistence(){
	print "<exist/>\n";
}
sub putXMLNotExistence(){
	print "<notExist/>\n";
}

#	Main Process ##################################################
	$fileList = $ARGV[0];
	&heading();
	&files();
	&trailing();

