<?xml version="1.0" encoding="Shift_JIS" ?>
			<!-- docList.xsl -->
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns="http://www.w3.org/1999/xhtml">
<xsl:output method="xml" encoding="SHIFT_JIS" indent="yes"
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
<!-- ================================================================== -->
<xsl:variable name="basesFN" select="'../docListBases.xml'"/>
<xsl:variable name="bases" select="document($basesFN)/bases"/>
<xsl:variable name="docListPathFN" select="'./docListPath.xml'"/>
<xsl:variable name="docListPath" select="document($docListPathFN)/fileList"/>
<!-- =====docList.xml================================================== -->
<xsl:template match="/">
	<xsl:apply-templates select="docList"/>
</xsl:template>

<xsl:template match="docList">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
	<head>
		<xsl:call-template name="head"/>
	</head>
	<body>
		<xsl:call-template name="heading"/>
		<hr/>
		<xsl:call-template name="bodyProc"/>
		<hr/>
		<xsl:text>[EOD]</xsl:text>
	</body>
	</html>
</xsl:template>

<xsl:template name="head">
	<meta>
		<xsl:attribute name="http-equiv">
				<xsl:text>Content-Type</xsl:text>
		</xsl:attribute>
		<xsl:attribute name="content">
				<xsl:text>text/html; charset=Shift_JIS</xsl:text>
		</xsl:attribute>
	</meta>
	<xsl:call-template name="css"/>
	<title>
		<xsl:choose>
		<xsl:when test="string-length(normalize-space(title)) != 0">
			<xsl:value-of select="title"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>ꗗ</xsl:text>
			<xsl:apply-templates select="subtitle"/>
		</xsl:otherwise>
		</xsl:choose>
	</title>
</xsl:template>

<xsl:template name="css">
		<style type="text/css">
			.fix	{ font-family:	monospace;	font-size: small;	}
		</style>
	<xsl:comment>
	</xsl:comment>
</xsl:template>

<xsl:template name="heading">
	<center>
	<h2>
		<xsl:choose>
		<xsl:when test="string-length(normalize-space(title)) != 0">
			<xsl:value-of select="title"/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>ꗗ</xsl:text>
		</xsl:otherwise>
		</xsl:choose>
	</h2>
	<xsl:apply-templates select="subtitle"/>
	</center>
	<br/>
	<xsl:call-template name="headingProc"/>
</xsl:template>

<xsl:template name="headingProc">
	<xsl:variable name="flag">
		<xsl:apply-templates select="note"/>
	</xsl:variable>
	<table width="100%">
	<tr><td width="150" valign="bottom">
	<xsl:text>[</xsl:text>
	<a>
		<xsl:attribute name="href">
			<xsl:value-of select="'./tool/docListFiles.html'"/>
		</xsl:attribute>
		<xsl:text>t@Cꗗ</xsl:text>
	</a>
	<xsl:text>]</xsl:text>
		</td><td>
			<xsl:choose>
			<xsl:when test="$flag = 'exist'
				and string-length(normalize-space(note)) != 0">
				<xsl:value-of select="normalize-space(note)"/>
				<br/>
			</xsl:when>
			<xsl:when test="$flag = 'exist'
				and string-length(normalize-space(note)) = 0">
				
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>
				ꗗt@CɋLڂꂽȂtH_ɂĕ\܂B
				ɂ݂̑𒲂ׁA
				݂Ȃ̂ɂ͔ԍ̌ "x" t܂B
				</xsl:text>
			</xsl:otherwise>
			</xsl:choose>
			</td><td width="3%">
				</td></tr>
	</table>
</xsl:template>

<xsl:template match="note">
	<xsl:text>exist</xsl:text>
</xsl:template>

<xsl:template name="bodyProc">
	<xsl:apply-templates select="group | item"/>
</xsl:template>

<xsl:template match="group">
	<h5>
		<xsl:number count="group" from="docList" level="multiple"/>
		<xsl:text> </xsl:text>
		<xsl:value-of select="@title"/>
	</h5>
	<xsl:apply-templates select="group | item"/>
</xsl:template>

<xsl:template match="item">
	<xsl:call-template name="itemSetNumber"/>
	<xsl:variable name="flag">
		<xsl:apply-templates select="@base"/>
	</xsl:variable>
	<xsl:choose>
	<xsl:when test="$flag = 'match'">
		<xsl:call-template name="chkFolder"/>
	</xsl:when>
	<xsl:when test="$flag = 'empty'">
		<xsl:text>x</xsl:text>
		<xsl:call-template name="putPath"/>
		<xsl:call-template name="putText"/>
	</xsl:when>
	<xsl:when test="$flag = 'notMatched'">
		<xsl:text>x</xsl:text>
			<xsl:value-of select="normalize-space(@base)"/>
		<xsl:text></xsl:text>
		<xsl:call-template name="putPath"/>
		<xsl:call-template name="putText"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>x</xsl:text>
		<xsl:call-template name="putPath"/>
		<xsl:call-template name="putText"/>
	</xsl:otherwise>
	</xsl:choose>
	<br/>
	<xsl:text>
</xsl:text>
</xsl:template>

<xsl:template match="@base">
	<xsl:call-template name="chkBase"/>
</xsl:template>

<xsl:template name="chkBase">
	<xsl:variable name="base" select="normalize-space(.)"/>
	<xsl:variable name="flag">
		<xsl:choose>
		<xsl:when test="string-length($base) = 0">
			<xsl:text>empty</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:apply-templates 
				select="$bases/base[name = $base]" mode="check"/>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:choose>
	<xsl:when test="$flag = 'empty' or $flag = 'match'">
		<xsl:value-of select="$flag"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>notMatched</xsl:text>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="base" mode="check">
	<xsl:text>match</xsl:text>
</xsl:template>

<xsl:template name="getBaseValue">
	<xsl:variable name="base" select="normalize-space(@base)"/>
	<xsl:apply-templates select="$bases/base[name = $base]/folder"/>
</xsl:template>

<xsl:template match="folder">
	<xsl:value-of select="normalize-space(.)"/>
</xsl:template>

<xsl:template name="itemProcHTTP">
	<xsl:variable name="folder" select="normalize-space(@folder)"/>
	<xsl:variable name="file" select="normalize-space(@file)"/>
	<xsl:variable name="address">
		<xsl:call-template name="getBaseValue"/>
		<xsl:if test="string-length($folder) != 0">
			<xsl:value-of select="$folder"/>
			<xsl:text>/</xsl:text>
		</xsl:if>
		<xsl:if test="string-length($file) != 0">
			<xsl:value-of select="$file"/>
		</xsl:if>
	</xsl:variable>
	<xsl:value-of select="normalize-space(.)"/>
	<xsl:text> [</xsl:text>
	<a>
		<xsl:attribute name="href">
			<xsl:value-of select="$address"/>
		</xsl:attribute>
		<xsl:text></xsl:text>
	</a>
	<xsl:text>](</xsl:text>
	<xsl:value-of select="$address"/>
	<xsl:text>)</xsl:text>
</xsl:template>

<xsl:template name="itemSetNumber">
	<xsl:variable name="itemNumber">
		<xsl:call-template name="itemNumber"/>
	</xsl:variable>
	<xsl:text>@i</xsl:text>
	<xsl:value-of select="$itemNumber"/>
	<xsl:text>)</xsl:text>
</xsl:template>

<xsl:template name="itemNumber">
	<xsl:number count="item" from="docList" level="any"/>
</xsl:template>

<xsl:template name="putPath">
	<span class="fix">
		<xsl:text>iPath: </xsl:text>
		<xsl:call-template name="mkPathPseudo"/>
		<xsl:text>j</xsl:text>
	</span>
</xsl:template>

<xsl:template name="putText">
	<xsl:text> </xsl:text>
	<xsl:value-of select="normalize-space(.)"/>
</xsl:template>

<xsl:template name="chkFolder">
	<xsl:variable name="flag">
		<xsl:apply-templates select="@folder"/>
	</xsl:variable>
	<xsl:choose>
	<xsl:when test="$flag = 'exist'">
		<xsl:call-template name="itemProc"/>
	</xsl:when>
	<xsl:when test="$flag = 'empty'">
		<xsl:text>x(Folder:)</xsl:text>
		<xsl:call-template name="putText"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>x(Folder:)</xsl:text>
		<xsl:call-template name="putText"/>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template match="@folder">
	<xsl:variable name="length">
		<xsl:value-of select="string-length(normalize-space(.))"/>
	</xsl:variable>
	<xsl:choose>
	<xsl:when test="$length != 0">
		<xsl:text>exist</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>empty</xsl:text>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="itemProc">
	<xsl:variable name="exist">
		<xsl:call-template name="chkPath"/>
	</xsl:variable>
	<xsl:choose>
	<xsl:when test="$exist != 'no'">	<!-- tH_Ȃt@C͑ -->
		<xsl:call-template name="itemProc2"/>
	</xsl:when>
	<xsl:otherwise>						<!-- ݂Ȃ -->
		<xsl:text>x</xsl:text>
		<xsl:call-template name="putPath"/>
		<xsl:call-template name="putText"/>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="chkPath">
	<xsl:variable name="number">
		<xsl:call-template name="itemNumber"/>
	</xsl:variable>
	<xsl:apply-templates 
		select="$docListPath//item[position() = $number]/file/notExist"/>
</xsl:template>

<xsl:template match="notExist">
	<xsl:text>no</xsl:text>
</xsl:template>

<xsl:template name="mkPath">
	<xsl:variable name="file" select="normalize-space(@file)"/>
	<xsl:call-template name="mkFolder"/>
	<xsl:if test="string-length($file) != 0">
		<xsl:text>/</xsl:text>
		<xsl:value-of select="$file"/>
	</xsl:if>
</xsl:template>

<xsl:template name="mkPathPseudo">
	<xsl:variable name="file" select="normalize-space(@file)"/>
	<xsl:call-template name="mkFolderPseudo"/>
	<xsl:if test="string-length($file) != 0">
		<xsl:text>/</xsl:text>
		<xsl:value-of select="$file"/>
	</xsl:if>
</xsl:template>

<xsl:template name="mkFolder">
	<xsl:variable name="baseValue">
		<xsl:call-template name="getBaseValue"/>
	</xsl:variable>
	<xsl:variable name="folder">
		<xsl:value-of select="normalize-space(@folder)"/>
	</xsl:variable>
	<xsl:if test="contains(substring($baseValue,1,2), ':')">
		<xsl:text>file:///</xsl:text>
	</xsl:if>
	<xsl:value-of select="$baseValue"/>
	<xsl:if test="string-length($folder) != 0 and $folder != '.'">
		<xsl:text>/</xsl:text>
		<xsl:value-of select="$folder"/>
	</xsl:if>
</xsl:template>

<xsl:template name="mkFolderPseudo">
	<xsl:variable name="baseValue">
		<xsl:call-template name="getBaseValue"/>
	</xsl:variable>
	<xsl:variable name="folder">
		<xsl:value-of select="normalize-space(@folder)"/>
	</xsl:variable>
	<xsl:if test="contains(substring($baseValue,1,2), ':')">
		<xsl:text>file:///</xsl:text>
	</xsl:if>
	<xsl:choose>
	<xsl:when test="$baseValue = '..'">
		<xsl:value-of select="$folder"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="$baseValue"/>
		<xsl:if test="string-length($folder) != 0 and $folder != '.'">
			<xsl:text>/</xsl:text>
			<xsl:value-of select="$folder"/>
		</xsl:if>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="itemProc2">
	<xsl:choose>
	<xsl:when test="string-length(normalize-space(@file)) = 0">	<!-- folder -->
		<xsl:call-template name="folderProc"/>
	</xsl:when>
	<xsl:otherwise>		<!-- file -->
		<xsl:call-template name="fileProc"/>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="folderProc">
	<xsl:choose>
	<xsl:when test="string-length(normalize-space(.)) = 0">
		<span class="fix">
			<xsl:text> (FolderF </xsl:text>
			<xsl:call-template name="mkFolderPseudo"/>
			<xsl:text>/j</xsl:text>
		</span>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="."/>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:call-template name="folderProc2"/>
</xsl:template>

<xsl:template name="folderProc2">
	<xsl:text> [</xsl:text>
	<a>
		<xsl:attribute name="href">
			<xsl:call-template name="mkFolder"/>
		</xsl:attribute>
		<xsl:text></xsl:text>
	</a>
	<xsl:text>]</xsl:text>
</xsl:template>

<xsl:template name="fileProc">
	<xsl:choose>
	<xsl:when test="string-length(normalize-space(text())) = 0
		and string-length(normalize-space(@type)) = 0">
		<xsl:call-template name="putFile"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:call-template name="putText"/>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:call-template name="folderProc2"/>
	<xsl:call-template name="fileProc2"/>
	<xsl:call-template name="typeProc"/>
</xsl:template>

<xsl:template name="putFile">
	<span class="fix">
		<xsl:text> (FileF </xsl:text>
		<xsl:call-template name="mkFolderPseudo"/>
		<xsl:text>/</xsl:text>
		<xsl:value-of select="normalize-space(@file)"/>
		<xsl:text>j</xsl:text>
	</span>
</xsl:template>

<xsl:template name="fileProc2">
		<xsl:variable name="base" select="normalize-space(@base)"/>
		<xsl:text> [</xsl:text>
			<a>
				<xsl:attribute name="href">
					<xsl:call-template name="mkPath"/>
				</xsl:attribute>
				<xsl:if test="contains(@file, '/')">
					<xsl:text>*</xsl:text>
				</xsl:if>
				<xsl:text></xsl:text>
			</a>
		<xsl:text>] </xsl:text>
</xsl:template>

<xsl:template name="typeProc">
	<xsl:variable name="type" select="normalize-space(@type)"/>
	<xsl:choose>
	<xsl:when test="$type = 'docList'">
		<xsl:call-template name="docListProc"/>
	</xsl:when>
	<xsl:when test="$type = 'ezdoc'">
		<xsl:call-template name="ezdocProc"/>
	</xsl:when>
	<xsl:when test="$type = 'ezFileList'">
		<xsl:call-template name="ezFileListProc"/>
	</xsl:when>
	<xsl:when test="string-length($type) = 0">
		
	</xsl:when>
	<xsl:otherwise>
		<xsl:text> itype"</xsl:text>
		<xsl:value-of select="$type"/>
		<xsl:text>"͌łj</xsl:text>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="ezdocProc">
	<xsl:variable name="flagFormat">
		<xsl:call-template name="ezdocFormat"/>
	</xsl:variable>
	<xsl:variable name="flagXMLExist">
		<xsl:call-template name="chkEzdocXML"/>
	</xsl:variable>
	<xsl:choose>
	<xsl:when test="$flagFormat = 'matched' and $flagXMLExist != 'no'">
		<xsl:call-template name="ezdoc2nd"/>
	</xsl:when>
	<xsl:when test="$flagFormat = 'matched' and $flagXMLExist = 'no'">
		<xsl:text> u(XMLt@C݂܂)v</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text> u(EZDOČ`ƈႢ܂)v</xsl:text>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="ezdocFormat">
	<xsl:variable name="fileFullName" select="normalize-space(@file)"/>
	<xsl:if test="contains($fileFullName, '.xml')
	or contains($fileFullName, '.html')
	or contains($fileFullName, '-index.html')">
		<xsl:text>matched</xsl:text>
	</xsl:if>
</xsl:template>

<xsl:template name="chkEzdocXML">
	<xsl:variable name="number">
		<xsl:call-template name="itemNumber"/>
	</xsl:variable>
	<xsl:apply-templates 
		select="$docListPath//item[position() = $number]/notExist"/>
</xsl:template>

<xsl:template name="ezdoc2nd">
	<xsl:variable name="path">
		<xsl:call-template name="getEZDOCPath"/>
	</xsl:variable>
	<xsl:variable name="title">
	</xsl:variable>
	<xsl:text> </xsl:text>
	<xsl:apply-templates select="document($path,.)/article/title" mode="item"/>
	<xsl:text></xsl:text>
	<xsl:apply-templates select="document($path,.)/article/subtitle"/>
	<xsl:variable name="date">
		<xsl:apply-templates 
			select="document($path,.)/article/date" mode="item"/>
	</xsl:variable>
	<xsl:if test="string-length($date) != 0">
		<xsl:text>A</xsl:text>
		<xsl:value-of select="$date"/>
	</xsl:if>
</xsl:template>
<!-- =====ezdoc.xml/docList.xml/ezFileList.xml========================= -->
<xsl:template match="title" mode="item">
	<xsl:value-of select="normalize-space(.)"/>
</xsl:template>

<xsl:template match="date" mode="item">
	<xsl:value-of select="normalize-space(.)"/>
</xsl:template>
<!-- =====docList.xml/ezdoc.xml/docList.xml/ezFileList.xml============= -->
<xsl:template match="subtitle">
	<xsl:value-of select="normalize-space(.)"/>
</xsl:template>
<!-- =====docList.xml================================================== -->
<xsl:template name="getEZDOCPath">
	<xsl:call-template name="mkFolder"/>
	<xsl:text>/</xsl:text>
	<xsl:call-template name="fileNameEZDOC"/>
</xsl:template>

<xsl:template name="fileNameEZDOC">
	<xsl:variable name="fileFullName" select="normalize-space(@file)"/>
	<xsl:choose>
	<xsl:when test="contains($fileFullName, '.xml')">
		<xsl:value-of select="substring-before($fileFullName, '.xml')"/>
	</xsl:when>
	<xsl:when test="contains($fileFullName, '-index.html')">
		<xsl:value-of select="substring-before($fileFullName, '-index.html')"/>
	</xsl:when>
	<xsl:when test="contains($fileFullName, '.html')">
		<xsl:value-of select="substring-before($fileFullName, '.html')"/>
	</xsl:when>
	</xsl:choose>
	<xsl:text>.xml</xsl:text>
</xsl:template>

<xsl:template name="docListProc">
	<xsl:variable name="flagFormat">
		<xsl:call-template name="fileFormat"/>
	</xsl:variable>
	<xsl:variable name="flagXMLExist">
		<xsl:call-template name="chkXML"/>
	</xsl:variable>
	<xsl:choose>
	<xsl:when test="$flagFormat = 'matched' and $flagXMLExist != 'no'">
		<xsl:call-template name="docList2nd"/>
	</xsl:when>
	<xsl:when test="$flagFormat = 'matched' and $flagXMLExist = 'no'">
		<xsl:text> u(XMLt@C݂܂)v</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text> u(DocLisť`ƈႢ܂)v</xsl:text>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="chkXML">
	<xsl:variable name="number">
		<xsl:call-template name="itemNumber"/>
	</xsl:variable>
	<xsl:apply-templates 
		select="$docListPath//item[position() = $number]/notExist"/>
</xsl:template>

<xsl:template name="fileFormat">
	<xsl:variable name="fileFullName" select="normalize-space(@file)"/>
	<xsl:if test="contains($fileFullName, '.html')">
		<xsl:text>matched</xsl:text>
	</xsl:if>
</xsl:template>

<xsl:template name="docList2nd">
	<xsl:variable name="path">
		<xsl:call-template name="getDocListPath"/>
	</xsl:variable>
	<xsl:text> </xsl:text>
	<xsl:variable name="title">
		<xsl:value-of select="document($path,.)/docList/title"/>
	</xsl:variable>
	
	<xsl:choose>
	<xsl:when test="string-length($title) != 0">
		<xsl:value-of select="normalize-space($title)"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>ꗗ</xsl:text>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:text> </xsl:text>
	<xsl:apply-templates select="document($path,.)/docList/subtitle"/>
</xsl:template>

<xsl:template name="getDocListPath">
	<xsl:call-template name="mkFolder"/>
	<xsl:text>/</xsl:text>
	<xsl:call-template name="fileNameDocList"/>
</xsl:template>

<xsl:template name="fileNameDocList">
	<xsl:variable name="fileFullName" select="normalize-space(@file)"/>
	<xsl:choose>
	<xsl:when test="contains($fileFullName, '.xml')">
		<xsl:value-of select="substring-before($fileFullName, '.xml')"/>
	</xsl:when>
	<xsl:when test="contains($fileFullName, '.html')">
		<xsl:value-of select="substring-before($fileFullName, '.html')"/>
	</xsl:when>
	</xsl:choose>
	<xsl:text>.xml</xsl:text>
</xsl:template>

<xsl:template name="ezFileListProc">
	<xsl:variable name="flagFormat">
		<xsl:call-template name="fileFormat"/>
	</xsl:variable>
	<xsl:variable name="flagXMLExist">
		<xsl:call-template name="chkXML"/>
	</xsl:variable>
	<xsl:choose>
	<xsl:when test="$flagFormat = 'matched' and $flagXMLExist != 'no'">
		<xsl:call-template name="ezFileListProc2"/>
	</xsl:when>
	<xsl:when test="$flagFormat = 'matched' and $flagXMLExist = 'no'">
		<xsl:text> u(XMLt@C݂܂)v</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text> u(EZFileLisť`ƈႢ܂)v</xsl:text>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="ezFileListProc2">
	<xsl:variable name="path">
		<xsl:call-template name="getEzFileListPath"/>
	</xsl:variable>
	<xsl:text> </xsl:text>
	<xsl:variable name="title">
		<xsl:value-of select="document($path,.)/fileList/title"/>
	</xsl:variable>
	
	<xsl:choose>
	<xsl:when test="string-length($title) != 0">
		<xsl:value-of select="normalize-space($title)"/>
	</xsl:when>
	<xsl:otherwise>
		<xsl:text>t@Cꗗ</xsl:text>
	</xsl:otherwise>
	</xsl:choose>
	<xsl:text> </xsl:text>
	<xsl:apply-templates select="document($path,.)/fileList/subtitle"/>
</xsl:template>

<xsl:template name="getEzFileListPath">
	<xsl:call-template name="mkFolder"/>
	<xsl:text>/</xsl:text>
	<xsl:call-template name="fileNameEzFileList"/>
</xsl:template>

<xsl:template name="fileNameEzFileList">
	<xsl:variable name="fileFullName" select="normalize-space(@file)"/>
	<xsl:choose>
	<xsl:when test="contains($fileFullName, '.xml')">
		<xsl:value-of select="substring-before($fileFullName, '.xml')"/>
	</xsl:when>
	<xsl:when test="contains($fileFullName, '.html')">
		<xsl:value-of select="substring-before($fileFullName, '.html')"/>
	</xsl:when>
	</xsl:choose>
	<xsl:text>.xml</xsl:text>
</xsl:template>

</xsl:stylesheet>
