<?xml version="1.0" encoding="Shift_JIS" ?>
			<!-- docListFiles.xsl -->
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns="http://www.w3.org/1999/xhtml">
<xsl:output method="xml" encoding="SHIFT_JIS" indent="yes"
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>

<xsl:variable name="docListFN" select="'../docList.xml'"/>
<xsl:variable name="docList" select="document($docListFN)/docList"/>

<!-- =====docListFile.xml==============================================	-->
<xsl:template match="/">
	<xsl:apply-templates select="fileList"/>
</xsl:template>

<xsl:template match="fileList">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
	<head>
		<xsl:call-template name="head"/>
	</head>
	<body>
		<xsl:call-template name="heading"/>
		<xsl:call-template name="bodyProc"/>
		<hr/>
		<xsl:text>[EOD]</xsl:text>
	</body>
	</html>
</xsl:template>

<xsl:template name="head">
	<meta>
		<xsl:attribute name="http-equiv">
				<xsl:text>Content-Type</xsl:text>
		</xsl:attribute>
		<xsl:attribute name="content">
				<xsl:text>text/html; charset=Shift_JIS</xsl:text>
		</xsl:attribute>
	</meta>
	<title>
		<xsl:text>t@Cꗗ</xsl:text>
	</title>
</xsl:template>

<xsl:template name="heading">
	<center>
		<h2>
			<xsl:text>t@Cꗗ</xsl:text>
		</h2>
	</center>
	<xsl:call-template name="headingProc"/>
	<hr/>
	<center>
	<table width="80%">
	<tr><td align="left">
		ՃtH_ȉ̎q̃tH_AtH_AБtH_A
		т̒ɂt@CɂĖO܂B
		ꗗ"docList.xml"ɋLqtH_Ȃt@Cɂ́A
		O̐擪"="tĂ܂B
		<br/>
		<br/>
		</td></tr>
	</table>
	</center>
	<xsl:text>
</xsl:text>
</xsl:template>

<xsl:template name="headingProc">
	<xsl:text>[</xsl:text>
	<a>
		<xsl:attribute name="href">
			<xsl:value-of select="substring-before($docListFN, '.xml')"/>
			<xsl:text>.html</xsl:text>
		</xsl:attribute>
		<xsl:text>ꗗ</xsl:text>
	</a>
	<xsl:text>]</xsl:text>
</xsl:template>

<xsl:template name="bodyProc">
	<xsl:apply-templates select="files"/>
</xsl:template>

<xsl:template match="files">
	<xsl:number count="files" from="fileList" level="any"/>
	<xsl:text>)</xsl:text>
	<xsl:text> </xsl:text>
	<xsl:variable name="path">
		<xsl:choose>
		<xsl:when test="path = '..'">
			<xsl:text>.</xsl:text>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="substring-after(path, '../')"/>
		</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="exist">
		<xsl:call-template name="chkFolder">
			<xsl:with-param name="folder" select="$path"/>
		</xsl:call-template>
	</xsl:variable>
	<xsl:if test="starts-with($exist, 'yes')">
		<xsl:text>=</xsl:text>
	</xsl:if>
	<xsl:value-of select="$path"/>
	<xsl:choose>
	<xsl:when test="
		   starts-with($path, '$')
		or starts-with($path, 'System')
		or contains($path, '/$')
		or contains($path, '/System')	">
		<xsl:text>@iVXetH_ɂȏ̒T͂܂j</xsl:text>
		<br/>
	</xsl:when>
	<xsl:otherwise>
		<br/>
		<xsl:if test="count(file)">
		<blockquote>
			<xsl:choose>
			<xsl:when test="starts-with($exist, 'yes')">
				<xsl:apply-templates select="file">
					<xsl:with-param name="existFolder" select="'yes'"/>
					<xsl:with-param name="folder" select="$path"/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="file">
					<xsl:with-param name="existFolder" select="'no'"/>
					<xsl:with-param name="folder" select="$path"/>
				</xsl:apply-templates>
			</xsl:otherwise>
			</xsl:choose>
		</blockquote>
		</xsl:if>
	</xsl:otherwise>
	</xsl:choose>
	<br/>
</xsl:template>

<xsl:template match="file">
	<xsl:param name="existFolder" select="''"/>
	<xsl:param name="folder" select="''"/>
	<xsl:if test="position() != 1">
		<xsl:text>, </xsl:text>
	</xsl:if>
	<xsl:if test="$existFolder = 'yes'">
		<xsl:variable name="exist">
			<xsl:call-template name="chkFile">
				<xsl:with-param name="folder" select="$folder"/>
				<xsl:with-param name="file" select="normalize-space(.)"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:if test="starts-with($exist, 'yes')">
			<xsl:text>=</xsl:text>
		</xsl:if>
	</xsl:if>
	<xsl:value-of select="normalize-space(.)"/>
</xsl:template>

<xsl:template name="chkFolder">
	<xsl:param name="folder" select="''"/>
	<xsl:apply-templates 
		select="$docList//item[@folder = $folder]" mode="folder"/>
</xsl:template>

<!-- =====docList.xml==================================================	-->
<xsl:template match="item" mode="folder">
	<xsl:text>yes</xsl:text>
</xsl:template>

<xsl:template name="chkFile">
	<xsl:param name="folder" select="''"/>
	<xsl:param name="file" select="''"/>
	<xsl:apply-templates 
		select="$docList//item[@folder = $folder and
		@file = $file]" mode="file"/>
</xsl:template>

<xsl:template match="item" mode="file">
	<xsl:text>yes</xsl:text>
</xsl:template>

</xsl:stylesheet>
