<?xml version="1.0" encoding="Shift_JIS" ?>
			<!-- mkDocList.xsl -->
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="SHIFT_JIS" indent="yes"/>
<!-- =================================================================== -->
<xsl:variable name="basesFN" select="'../docListBases.xml'"/>
<xsl:variable name="bases" select="document($basesFN)/bases"/>
<xsl:variable name="docListHome" select="'docList-18'"/>
<!-- =====docListFiles.xml============================================== -->
<xsl:template match="/">
	<xsl:apply-templates select="fileList"/>
</xsl:template>

<xsl:template match="fileList">
	<xsl:text>
			</xsl:text><xsl:comment>    docList.xml    </xsl:comment><xsl:text>
</xsl:text><xsl:processing-instruction name="xml-stylesheet">
		<xsl:text>type="text/xsl" href="./tool/docList.xsl"</xsl:text>
	</xsl:processing-instruction>
	<xsl:text>

</xsl:text>
	<docList>
		<xsl:text>

</xsl:text>
		<xsl:apply-templates select="files"/>
		<xsl:text>

</xsl:text>
	</docList>
</xsl:template>

<xsl:template match="files">
	<xsl:choose>
	<xsl:when test="
			starts-with(path, '$')
		or	starts-with(path, 'System')
		or	contains(path, '/$')
		or	contains(path, '/System')">
		
	</xsl:when>
	<xsl:otherwise>
		<xsl:call-template name="filesProc"/>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="filesProc">
	<xsl:variable name="path" select="translate(path, '\', '/')"/>
	<xsl:choose>
	<xsl:when test="$path = concat('../', $docListHome)">
		<xsl:call-template name="itemFolderHome"/>
	</xsl:when>
	<xsl:when test="starts-with($path, concat('../', $docListHome))">
		
	</xsl:when>
	<xsl:otherwise>
		<xsl:call-template name="itemFolder"/>
		<xsl:apply-templates select="file"/>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="itemFolderHome">
	<xsl:variable name="path" select="translate(path, '\', '/')"/>
	<item>
		<xsl:attribute name="base">
			<xsl:call-template name="setBaseHome"/>
		</xsl:attribute>
		<xsl:attribute name="folder">
			<xsl:value-of select="substring-after($path, '../')"/>
		</xsl:attribute>
		<xsl:attribute name="file">
			<xsl:text/>
		</xsl:attribute>
		<xsl:attribute name="type">
			<xsl:call-template name="setType"/>
		</xsl:attribute>
		<xsl:text>
	DocList̃z[tH_(</xsl:text>
		<xsl:value-of select="$docListHome"/>
		<xsl:text>) BȉȗB
	</xsl:text>
	</item>
</xsl:template>

<xsl:template name="itemFolder">
	<item>
		<xsl:attribute name="base">
			<xsl:call-template name="setBaseHome"/>
		</xsl:attribute>
		<xsl:attribute name="folder">
			<xsl:variable name="path" select="translate(path, '\', '/')"/>
			<xsl:choose>
			<xsl:when test="$path = '..'">
				<xsl:text>.</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="substring-after($path, '../')"/>
			</xsl:otherwise>
			</xsl:choose>
		</xsl:attribute>
		<xsl:attribute name="file">
			<xsl:text/>
		</xsl:attribute>
		<xsl:attribute name="type">
			<xsl:call-template name="setType"/>
		</xsl:attribute>
		<xsl:call-template name="setValue"/>
	</item>
</xsl:template>

<xsl:template match="file">
	<item>
		<xsl:attribute name="base">
			<xsl:call-template name="setBaseHome"/>
		</xsl:attribute>
		<xsl:attribute name="folder">
			<xsl:call-template name="setFolder"/>
		</xsl:attribute>
		<xsl:attribute name="file">
			<xsl:call-template name="setFile"/>
		</xsl:attribute>
		<xsl:attribute name="type">
			<xsl:call-template name="setType"/>
		</xsl:attribute>
		<xsl:call-template name="setValue"/>
	</item>
</xsl:template>

<xsl:template name="setBaseHome">
	<xsl:text>home</xsl:text>
</xsl:template>

<xsl:template name="setFolder">
	<xsl:variable name="path" select="translate(../path, '\', '/')"/>
	<xsl:choose>
	<xsl:when test="$path = '..'">
		<xsl:text>.</xsl:text>
	</xsl:when>
	<xsl:otherwise>
		<xsl:value-of select="substring-after($path, '../')"/>
	</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="setFile">
	<xsl:value-of select="."/>
</xsl:template>

<xsl:template name="setType">
	<xsl:text/>
</xsl:template>

<xsl:template name="setValue">
	<xsl:text>
	</xsl:text>
</xsl:template>

<!-- ================================================== -->
</xsl:stylesheet>
