#! /usr/bin/perl
# Function:	make docListFiles.xml
# Call:		mkDocListFiles.pl docListFiles.xml

	$file_name = "";
	if( @ARGV != 1 ){
		die "XML̃t@Cw肵ĉ \n";
	} else {
		$file_name = $ARGV[0];
	}
	@dir_list = ();
	&open_file_list();
	&make_file_list();
	&close_file_list();

sub make_file_list(){
	&path_base();
	&get_dir_list("..");
	if ($#dir_list + 1){
		@dir_1st = @dir_list;
		foreach $folder_1st (@dir_1st){
			&path_1st("$folder_1st");
			&get_dir_list("../" . "$folder_1st");
			if ($#dir_list + 1){
				@dir_2nd = @dir_list;
				foreach $folder_2nd (@dir_2nd){
					&path_2nd($folder_1st, $folder_2nd);
					&get_dir_list("../" . "$folder_1st" . "/" . "$folder_2nd");
					if ($#dir_list + 1){
						@dir_3rd = @dir_list;
						foreach $folder_3rd (@dir_3rd){
							&path_3rd($folder_1st, $folder_2nd, $folder_3rd);
						}
					}
				}
			}
		}
	}
}

sub path_base(){
	&put_files_first("..");
	&get_file_list("../");
	if ($#file_list + 1){
		foreach $file (@file_list){
			&put_file($file);
		}
	}
	&put_files_last();
}

sub path_1st(){
	my $path = $_[0];
	$_ = $path;
	unless (/\$/ or /System/){
		&put_files_first("../" . "$path");
		&get_file_list("../" . "$path");
		if ($#file_list + 1){
			foreach $file (@file_list){
				&put_file($file);
			}
		}
		&put_files_last();
	}else{
		&put_files_first("../" . "$path");
		&put_files_last();
	}
}

sub path_2nd(){
	my $parent = "../" . "$_[0]";
	my $path = $_[1];
	$_ = $path;
	unless (/\$/ or /System/){
		&put_files_first("$parent" . "/" . "$path");
		&get_file_list("$parent" . "/" . "$path");
		if ($#file_list + 1){
			foreach $file (@file_list){
				&put_file($file);
			}
		}
		&put_files_last();
	}else{
		&put_files_first("$parent" . "/" . "$path");
		&put_files_last();
	}
}

sub path_3rd(){
	my $parent = "../" . "$_[0]" . "/" . "$_[1]";
	my $path = $_[2];
	$_ = $path;
	unless (/\$/ or /System/){
		&put_files_first("$parent" . "/" . "$path");
		&get_file_list("$parent" . "/" . "$path");
		if ($#file_list + 1){
			foreach $file (@file_list){
				&put_file($file);
			}
		}
		&put_files_last();
	}else{
		&put_files_first("$parent" . "/" . "$path");
		&put_files_last();
	}
}

sub put_files_first(){
	print FH_XML "<files>\n";
	print FH_XML "\t<path>";
	print FH_XML "$_[0]";
	print FH_XML "</path>\n";
	print FH_XML "\t";
}

sub put_files_last(){
	print FH_XML "\n";
	print FH_XML "</files>\n";
}

sub put_file(){
	print FH_XML "<file>";
	print FH_XML "$_[0]";
	print FH_XML "</file>";
}

sub get_dir_list(){
	my $folder = $_[0];
	$_ = $folder;
	@dir_list = ();
	unless (/\$/ or /System/){
		opendir(DIR, $folder)||die "tH_J܂ :$!\n";;
		my @temp = readdir (DIR);
		closedir(DIR);
		my $name;
		foreach $name (@temp){
			my $path = "$folder" . "/" . "$name";
			if (-d $path){
				if ($name ne "." and $name ne ".."){
					push(@dir_list, $name);
				}
			}
		}
	}
}

sub get_file_list(){
	my $path = $_[0];
	$_ = $path;
	@file_list = ();
	unless (/\$/ or /System/){
		opendir(DIR, $path)||die "tH_J܂ :$!\n";;
		my @list = readdir (DIR);
		closedir(DIR);
		my $name;
		foreach $name (@list){
			if (-f "$path" . "/" . "$name"){
				push(@file_list, $name);
			}
		}
	}
}

sub open_file_list(){
	open (FH_XML, "> $file_name")||die "t@CJ܂ :$file_name/$!\n";
	my $heading =<<'END';
<?xml version="1.0" encoding="Shift_JIS" ?>
			<!--    docListFiles.xml    -->
<?xml-stylesheet type="text/xsl" href="./docListFiles.xsl"?>

<fileList>

END
	print FH_XML "$heading";
}

sub close_file_list(){
	print FH_XML "\n</fileList>\n";
}
