<?xml version="1.0" encoding="Shift_JIS" ?>
			<!-- mkDocListPath.xsl -->
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="text" encoding="SHIFT_JIS" media-type="text/plain"/>
<!-- =================================================================== -->
<xsl:variable name="basesFN" select="'../docListBases.xml'"/>
<xsl:variable name="bases" select="document($basesFN)/bases"/>
<!-- =====docLis.xml==================================================== -->
<xsl:template match="/">
	<xsl:apply-templates select="docList"/>
</xsl:template>

<xsl:template match="docList">
	<xsl:apply-templates select="group | item"/>
</xsl:template>

<xsl:template match="group">
	<xsl:apply-templates select="group | item"/>
</xsl:template>

<xsl:template match="item">
	<xsl:text>item: target,</xsl:text>
	<xsl:call-template name="itemProc"/>
	<xsl:text>
</xsl:text>
	
	<xsl:if test="@type = 'ezdoc' or @type = 'docList' or @type = 'ezFileList'
		and substring-after(@file, '.') != 'xml'">
		<xsl:value-of select="@type"/>
		<xsl:text>,</xsl:text>
		<xsl:call-template name="itemProcXml"/>
		<xsl:text>
</xsl:text>
	
	</xsl:if>
	<xsl:text>itemEnd:
</xsl:text>
</xsl:template>

<xsl:template name="itemProc">
	<xsl:variable name="base">
		<xsl:call-template name="getBase"/>
	</xsl:variable>
	<xsl:variable name="path">
		<xsl:if test="string-length($base) != 0">
			<xsl:value-of select="$base"/>
		</xsl:if>
		<xsl:if test="string-length(@folder) != 0 and @folder != '.'">
			<xsl:text>/</xsl:text>
			<xsl:value-of select="@folder"/>
		</xsl:if>
		<xsl:if test="string-length(@file) != 0">
			<xsl:text>/</xsl:text>
			<xsl:value-of select="@file"/>
		</xsl:if>
	</xsl:variable>
	<xsl:value-of select="$path"/>
</xsl:template>

<xsl:template name="itemProcXml">
	<xsl:variable name="base">
		<xsl:call-template name="getBase"/>
	</xsl:variable>
	<xsl:variable name="path">
		<xsl:if test="string-length($base) != 0">
			<xsl:value-of select="$base"/>
		</xsl:if>
		<xsl:if test="string-length(@folder) != 0 and @folder != '.'">
			<xsl:text>/</xsl:text>
			<xsl:value-of select="@folder"/>
		</xsl:if>
		<xsl:if test="string-length(@file) != 0">
			<xsl:text>/</xsl:text>
			<xsl:call-template name="xmlFile"/>
		</xsl:if>
	</xsl:variable>
	<xsl:value-of select="$path"/>
</xsl:template>

<xsl:template name="getBase">
	<xsl:variable name="base">
		<xsl:value-of select="@base"/>
	</xsl:variable>
	<xsl:apply-templates select="$bases/base[name=$base]"/>
</xsl:template>

<xsl:template match="base">
	<xsl:value-of select="folder"/>
</xsl:template>

<xsl:template name="xmlFile">
	<xsl:choose>
	<xsl:when test="@type = 'ezdoc'">
		<xsl:choose>
		<xsl:when test="contains(@file, '-index.html')">
			<xsl:value-of select="substring-before(@file, '-index.html')"/>
			<xsl:text>.xml</xsl:text>
		</xsl:when>
		<xsl:when test="contains(@file, '.html')">
			<xsl:value-of select="substring-before(@file, '.html')"/>
			<xsl:text>.xml</xsl:text>
		</xsl:when>
		</xsl:choose>
	</xsl:when>
	<xsl:when test="@type = 'docList'">
		<xsl:choose>
		<xsl:when test="contains(@file, '.html')">
			<xsl:value-of select="substring-before(@file, '.html')"/>
			<xsl:text>.xml</xsl:text>
		</xsl:when>
		<xsl:when test="contains(@file, '.xml')">
			<xsl:value-of select="substring-before(@file, '.xml')"/>
			<xsl:text>.xml</xsl:text>
		</xsl:when>
		</xsl:choose>
	</xsl:when>
	<xsl:when test="@type = 'ezFileList'">
		<xsl:choose>
		<xsl:when test="contains(@file, '.html')">
			<xsl:value-of select="substring-before(@file, '.html')"/>
			<xsl:text>.xml</xsl:text>
		</xsl:when>
		<xsl:when test="contains(@file, '.xml')">
			<xsl:value-of select="substring-before(@file, '.xml')"/>
			<xsl:text>.xml</xsl:text>
		</xsl:when>
		</xsl:choose>
	</xsl:when>
	</xsl:choose>
</xsl:template>
<!-- ================================================== -->
</xsl:stylesheet>
